unit UFBasis;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, WEBLib.REST;

type
  TFBasis = class(TWebFrame)
  private
    FInitialized: Boolean ;

  protected
    // Wordt 1x aangeroepen als DOM + controls klaar zijn
    procedure Init; virtual;

  public
    // Moet expliciet door de form worden aangeroepen
    procedure Activate;
  end;

implementation

{$R *.dfm}

procedure TFBasis.Activate;
begin
  if FInitialized then
    Exit;

  FInitialized := True;

  // HIER is het DOM veilig
  Init;
end;

procedure TFBasis.Init;
begin
  inherited;

  // Frame root flexibel maken
  ElementHandle.style.setProperty('flex','1');
  ElementHandle.style.setProperty('display','flex');
  ElementHandle.style.setProperty('height','100%');
//  ElementHandle.style.setProperty('flexDirection','column');

end ;

end.
